<?php
/*
Plugin Name: Site Plugin for yoururl.com - Downloaded from diviypurway.com
Description: Code Changes and Modifications for yoururl.com
*/
/* Enter Code below this Comment - this comment can be removed */
  
/**
 * Debug Pending Updates
 *
 * Displays hidden plugin and theme updates on update-core screen.
 * Source: https://stackoverflow.com/questions/22137814/wordpress-shows-i-have-1-plugin-update-when-all-plugins-are-already-updated
 */ 
function debug_pending_updates() {
	if ( ! is_user_logged_in() || ! current_user_can( 'update_plugins' ) || ! current_user_can( 'update_themes' ) ) return;
	
	$output = "";
	$plugin_updates = get_site_transient( 'update_plugins' );
	if ( $plugin_updates && ! empty( $plugin_updates->response ) ) {
	  foreach ( $plugin_updates->response as $plugin => $details ) {
	  $output .= "<p><strong>Plugin</strong> <u>$plugin</u> zeigt ein ausstehendes Update an.</p>";
	  }
	}
	wp_update_themes();
	$theme_updates = get_site_transient( 'update_themes' );
	if ( $theme_updates && ! empty( $theme_updates->response ) ) {
	  foreach ( $theme_updates->response as $theme => $details ) {
	  $output .= "<p><strong>Theme</strong> <u>$theme</u> zeigt ein ausstehendes Update an.</p>";
	  }
	}
	
	if ( empty( $output ) ) $output = "Keine ausstehenden Updates in der Datenbank vorhanden.";
	
	echo "<h2>Ausstehende Updates</h2>" . $output;
	}
	add_action( 'core_upgrade_preamble', 'debug_pending_updates' ); 
// emojis deaktivieren
add_filter( 'emoji_svg_url', '__return_false' );
function disable_emojis() {
  remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
  remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
  remove_action( 'wp_print_styles', 'print_emoji_styles' );
  remove_action( 'admin_print_styles', 'print_emoji_styles' );  
  remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
  remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );  
  remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
  add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
}
add_action( 'init', 'disable_emojis' );
// tinymce 
function disable_emojis_tinymce( $plugins ) {
  if ( is_array( $plugins ) ) {
    return array_diff( $plugins, array( 'wpemoji' ) );
  } else {
    return array();
  }
}
// Disable use XML-RPC
add_filter( 'xmlrpc_enabled', '__return_false' );
/* Enter Code above this Comment - this comment can be removed */
?>